Debian Bug report logs - #695848
RFP: php5-yaz -- PHP PECL extension that implements a Z39.50/SRU client

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 13 Dec 2012 12:15:02 UTC

Severity: wishlist

Tags: patch, wontfix

Merged with 559903

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695848; Package wnpp. (Thu, 13 Dec 2012 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 13 Dec 2012 12:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: php5-yaz -- yaz module for PHP 5
Date: Thu, 13 Dec 2012 13:09:57 +0100
Package: wnpp
Severity: wishlist

* Package name    : php5-yaz
  Version         : 1.1.5
  Upstream Author : Adam Dickmeiss <adam@indexdata.dk>
* URL             : http://pecl.php.net/package/yaz
* License         : PHP
  Programming Lang: PHP
  Description     : yaz module for PHP 5

 PHP/YAZ is an extension to the popular web server language PHP that implements
 Z39.50 origin (client) functionality as well as the SRW/SRU protocols using
 the YAZ toolkit.
 .
 The following Z39.50 services are supported by this extension: init, search,
 present, scan and sort. The extension can handle GRS-1, MARC, SUTRS and XML.
 The module also allows you to convert MARC in ISO2709 to MARCXML on the client
 side.
 .
 Homepage: http://www.indexdata.dk/phpyaz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695848; Package wnpp. (Thu, 13 Dec 2012 12:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Dec 2012 12:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 695848@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 695848@bugs.debian.org
Cc: vdanjean@debian.org
Subject: Re: Bug#695848: Acknowledgement (RFP: php5-yaz -- yaz module for PHP 5)
Date: Thu, 13 Dec 2012 13:22:14 +0100
It would be really cool to have in debian ;)

I could find some early package at:

http://moais.imag.fr/membres/vincent.danjean/deb.html#php-yaz

or even:

http://lists.indexdata.dk/pipermail/yazlist/2011-March/003127.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695848; Package wnpp. (Thu, 13 Dec 2012 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Dec 2012 21:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 695848@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Mathieu Malaterre <malat@debian.org>
Cc: 695848@bugs.debian.org
Subject: Re: Bug#695848: Acknowledgement (RFP: php5-yaz -- yaz module for PHP 5)
Date: Thu, 13 Dec 2012 21:59:45 +0100
  Hi,

Le 13/12/2012 13:22, Mathieu Malaterre a écrit :
> It would be really cool to have in debian ;)
> 
> I could find some early package at:
> 
> http://moais.imag.fr/membres/vincent.danjean/deb.html#php-yaz

  I do not remember why I put this package here. I do not use it,
nor maintain it locally. You are free to package it if you want.
Upstream author (Adam Dickmeiss) would be very pleased and he
answers all my questions when I package yaz itself.
  I do not wish to package php-yaz because:
- I do not really use yaz itself. It use a dependency of Koha but I
  never find the time to properly investigate Koha.
- I do not know how php packages are structured
- I do not have lots of free time (more exactly, I looking for
  free time since I've two children... ;-) )

  Regards,
    Vincent

> or even:
> 
> http://lists.indexdata.dk/pipermail/yazlist/2011-March/003127.html



-- 
Vincent Danjean          Adresse: Laboratoire d'Informatique de Grenoble
Téléphone:  +33 4 76 61 20 11            ENSIMAG - antenne de Montbonnot
Fax:        +33 4 76 61 20 99            ZIRST 51, avenue Jean Kuntzmann
Email: Vincent.Danjean@imag.fr           38330 Montbonnot Saint Martin



Added tag(s) patch. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Merged 559903 695848 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2012 22:03:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2012 07:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695848; Package wnpp. (Thu, 20 Dec 2012 09:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 20 Dec 2012 09:36:05 GMT) Full text and rfc822 format available.

Message #26 received at 695848@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Adam Dickmeiss <adam@indexdata.dk>
Cc: 695848@bugs.debian.org
Subject: Re: php5-yaz -- yaz module for PHP 5
Date: Thu, 20 Dec 2012 10:33:58 +0100
On Mon, Dec 17, 2012 at 4:43 PM, Adam Dickmeiss <adam@indexdata.dk> wrote:
> On 12/15/2012 04:24 AM, Mathieu Malaterre wrote:
>>
>> Dear Adam,
>>
>>    I am a debian developer, and I need php5-yaz for one of my project:
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=695848
>>
>>    I see that you also have some interest in having a debian package
>> for it. Is this correct ? If so, would you like to have the php5-yaz
>> be part of the official debian system ?
>>   I can upload your package if this is ok with you.
>>
>>
>
> We do already have a Debian package, but it's "one for all" (same debian
> stuff for many distros,tha tis).It's quite old, not according to new
> standards I am sure. But it's a start.
>
> You can find source + debian stuff here:
>
> http://git.indexdata.com/?p=phpyaz.git;a=summary

Thanks for your help. I prefered re-writing the whole package from
scratch anyway:

http://ftp-master.debian.org/new/php-yaz_1.1.5-1.html



Changed Bug title to 'RFP: php5-yaz -- PHP PECL extension that implements a Z39.50/SRU client' from 'RFP: php5-yaz -- yaz module for PHP 5' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2012 11:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695848; Package wnpp. (Mon, 18 Feb 2013 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Feb 2013 08:51:03 GMT) Full text and rfc822 format available.

Message #33 received at 695848@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Adam Dickmeiss <adam@indexdata.dk>
Cc: 695848@bugs.debian.org
Subject: php5-yaz is non-free
Date: Mon, 18 Feb 2013 09:50:00 +0100
Adam,

  php-yaz got rejected from debian since the license is considered non free

http://lintian.debian.org/tags/copyright-refers-to-bad-php-license.html

  Would you considered relicensing php-yaz to something else ?

  Otherwise I will need to upload to non-free.

Thanks for your comments,



Added tag(s) wontfix. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 16:36:07 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Wed, 30 Oct 2013 16:36:13 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Wed, 30 Oct 2013 16:36:13 GMT) Full text and rfc822 format available.

Message #40 received at 695848-done@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 695848-done@bugs.debian.org, Control bugs server <control@bugs.debian.org>
Date: Wed, 30 Oct 2013 17:33:15 +0100
tags 695848 wontfix
thanks

no word from upstream about license issues. Closing.



Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Wed, 30 Oct 2013 16:36:14 GMT) Full text and rfc822 format available.

Notification sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Bug acknowledged by developer. (Wed, 30 Oct 2013 16:36:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Nov 2013 07:25:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:16:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.